Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/6543/?format=api
{ "ob_id": 6543, "uuid": "bb2309e1bff0878efbc0892c7e18fda2", "title": "APPRAISE ADIENT: Advanced Along Track Scanning Radiometer (AATSR) Daily Data", "abstract": "The objective of the ADIENT (Appraising the Direct Impacts of aErosol oN climaTe) project was quantifying the direct effect of aerosols on the Earth's radiation budget, via scattering and/or absorption of radiation. This daily data was a subset of the GlobAEROSOL climatology from the Advanced Along Track Scanning Radiometer (AATSR) instrument on-board Envisat, data for the period 24 July 2002 to 25 February 2009. \r\n\r\nThis dataset contains measurements of the following parameters over the globe:\r\n\r\nAerosol optical thickness taken at 550nm and 870nm, \r\nAngstrom Coefficient, \r\nEarth surface albedo taken at 550nm, 670nm, 870nm, and 1600nm.\r\nUpwelling spectral radiance in the air (measured reflectance) at 550nm, 670nm, 870nm, 1600nm, and 3700nm.\r\nBrightness temperature taken at 11000nm and 12000nm.\r\nCloud area fraction\r\nAerosol speciation (from a selection of 5 pre-defined types:maritime, continental, desert, urban/polluted and biomass burning).\r\n", "keywords": "APPAISE-ADIENT, GlobAEROSOL", "publicationState": "published", "dataPublishedTime": "2010-05-19T11:12:36", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/6544/?format=api", "dataPath": "/badc/appraise/data/adient/globaer/aatsr", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 11372935, "numberOfFiles": 6, "fileFormat": "Data are netCDF formatted\r\n" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3323/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data for the period 2005 to 2010, provided as is by the APPRAISE campaign participants for archiving at the BADC.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/4281/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/8364/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/6521/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/12228/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28308/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28309/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28310/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28311/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/43512/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/46842/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28307/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/43508/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28313/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/43509/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/72494/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/6548/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }